Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginKineticLaw

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginKineticLaw

    public class PluginKineticLaw

extends PluginSBase

This class wraps org.sbml.libsbml.KineticLaw for the plug-in.

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginKineticLaw(PluginReaction parent)` Constructor

Method Summary
`void` | `addParameter(PluginParameter param)` Adds a PluginParameter to the list of PluginParameter of this PluginKineticLaw.
`void` | `clear()` Clears all PluginParameter of this PluginKineticLaw.
`java.lang.String` | `getFormula()`
`PluginListOf` | `getListOfParameters()`
`ASTNode` | `getMath()`
`int` | `getNumParameters()`
`PluginParameter` | `getParameter(int index)` Gets the PluginParameter with the given index from the list.
`PluginReaction` | `getParentReaction()`
`java.lang.String` | `getParentReactionID()`
`java.lang.String` | `getSubstanceUnits()`
`java.lang.String` | `getTimeUnits()`
`void` | `removeParameter(int index)` Remove the PluginParameter with the given index from the list.
`void` | `removeParameter(PluginParameter param)` Removes the PluginParameter from the list of PluginParameter of this PluginKineticLaw.
`void` | `setFormula(java.lang.String fomula)` Sets the formula of this PluginKineticLaw.
`void` | `setFormulaFromMath()` Deprecated. setFormulaFromMath is removed in libSBML 3.x
`void` | `setListOfParameters(PluginListOf listOfParameters)` Sets the list of PluginParameter of this PluginKineticLaw.
`void` | `setMath(ASTNode math)` Sets the Math of this PluginKineticLaw to the given ASTNode.
`void` | `setMathFromFormula()` Deprecated. setFormulaFromMath is removed in libSBML 3.x
`void` | `setSubstanceUnits(java.lang.String unit)` Sets the substanceUnits of this PluginKineticLaw.
`void` | `setTimeUnits(java.lang.String unit)` Sets the timeUnits of this PluginKineticLaw.
`void` | `update(PluginKineticLaw kineticLaw)` Update all properties of this PluginKineticLaw same as the given PluginKineticLaw.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginKineticLaw

    public PluginKineticLaw(PluginReaction parent)

  Constructor

  Parameters:
    `parent` - PluginReaction as the parent of this PluginKineticLaw

Method Detail

### update

    public void update(PluginKineticLaw kineticLaw)

  Update all properties of this PluginKineticLaw same as the given PluginKineticLaw.

  Parameters:
    `kineticLaw` -

### getListOfParameters

    public PluginListOf getListOfParameters()

  Returns:
    the list of PluginParameter of this PluginKineticLaw.

### setListOfParameters

    public void setListOfParameters(PluginListOf listOfParameters)

  Sets the list of PluginParameter of this PluginKineticLaw.

  Parameters:
    `listOfParameters` -

### addParameter

    public void addParameter(PluginParameter param)

  Adds a PluginParameter to the list of PluginParameter of this PluginKineticLaw.

  Parameters:
    `param` -

### removeParameter

    public void removeParameter(PluginParameter param)

  Removes the PluginParameter from the list of PluginParameter of this PluginKineticLaw.

  Parameters:
    `param` - the PluginParameter to remove

### removeParameter

    public void removeParameter(int index)

  Remove the PluginParameter with the given index from the list.

  Parameters:
    `index` -

### getParameter

    public PluginParameter getParameter(int index)

  Gets the PluginParameter with the given index from the list.

  Parameters:
    `index` -
  Returns:
    PluginParameter

### clear

    public void clear()

  Clears all PluginParameter of this PluginKineticLaw.

### getFormula

    public java.lang.String getFormula()

  Returns:
    the formula of this PluginKineticLaw.

### setFormula

    public void setFormula(java.lang.String fomula)

  Sets the formula of this PluginKineticLaw.

  Parameters:
    `fomula` -

### getMath

    public ASTNode getMath()

  Returns:
    the Math of this PluginKineticLaw

### setMath

    public void setMath(ASTNode math)

  Sets the Math of this PluginKineticLaw to the given ASTNode.

  Parameters:
    `math` -

### setFormulaFromMath

    public void setFormulaFromMath()

  Deprecated. setFormulaFromMath is removed in libSBML 3.x

  See Also:
    `org.sbml.libsbml.KineticLaw.setFormulaFromMath`

### setMathFromFormula

    public void setMathFromFormula()

  Deprecated. setFormulaFromMath is removed in libSBML 3.x

  See Also:
    `org.sbml.libsbml.KineticLaw.setMathFromFormula`

### getSubstanceUnits

    public java.lang.String getSubstanceUnits()

  Returns:
    the substanceUnits of this PluginKineticLaw.

### setSubstanceUnits

    public void setSubstanceUnits(java.lang.String unit)

  Sets the substanceUnits of this PluginKineticLaw.

  Parameters:
    `unit` - a substanceUnits

### getTimeUnits

    public java.lang.String getTimeUnits()

  Returns:
    the timeUnits of this PluginKineticLaw.

### setTimeUnits

    public void setTimeUnits(java.lang.String unit)

  Sets the timeUnits of this PluginKineticLaw.

  Parameters:
    `unit` -

### getParentReactionID

    public java.lang.String getParentReactionID()

  Returns:
    the ParentReactionID of this PluginKineticLaw.

### getParentReaction

    public PluginReaction getParentReaction()

  Returns:
    the PluginReaction of this PluginKineticLaw, or null if the ParentSBase isn't PluginReaction.

### getNumParameters

    public int getNumParameters()

  Returns:
    the number of PluginParameter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD